Commits

Carl Meyer committed 45bee0d

Update tox.ini; drop support for Python 2.5, add support for Django 1.6.

  • Participants
  • Parent commits 764caf7

Comments (0)

Files changed (2)

File docs/history.rst

 ---------
 
 Tip: (unreleased)
+  * BACKWARDS-INCOMPATIBLE: Drop support for Django 1.0 - 1.2; Python 2.4 and 2.5.
   * Deprecate ``localeurl_future`` tag library, always use new url tag syntax.
   * Try importing ``patterns, url`` first from ``django.conf.urls``; use
     ``django.conf.urls.defaults`` only as Django 1.3 fallback. Fixes #36.
-  * Drop support for Django 1.1 and 1.2.
   * Don't try to parse referrer if not present. Fixes #33. Thanks Simon Luijk.
   * Add support for a session-stored locale fallback. Thanks Sylvain Fourmanoit
     for report and draft patch, and Alex Marandon for adding tests. Fixes #23.
   * Make language-code matching case-insensitive, per RFC. Thanks torgeilo for
     the report. Fixes #32.
-  * Drop support for Django 1.0 and Python 2.4.
   * Fix issue with non-ASCII characters in URLs. Thanks Chris Adams.
 
 Release 1.5: (2011-08-24)
 [tox]
-envlist=py25-1.3,py25-1.4,py26-1.3,py26-1.4,py26,py26-trunk,py27-1.3,py27-1.4,py27,py27-trunk
+envlist=
+  py26-1.3,py26-1.4,py26-1.5,py26-1.6,
+  py27-1.3,py27-1.4,py27-1.5,py27-1.6,py27-trunk
 
 [testenv]
-deps=
-  django==1.5.1
 commands=python setup.py test
 
-[testenv:py25-1.1]
-basepython=python2.5
-deps=
-  django==1.1.4
-
-[testenv:py25-1.2]
-basepython=python2.5
-deps=
-  django==1.2.7
-
-[testenv:py25-1.3]
-basepython=python2.5
-deps=
-  django==1.3.7
-
-[testenv:py25-1.4]
-basepython=python2.5
-deps=
-  django==1.4.5
-
-[testenv:py26-1.1]
-basepython=python2.6
-deps=
-  django==1.1.4
-
-[testenv:py26-1.2]
-basepython=python2.6
-deps=
-  django==1.2.7
-
 [testenv:py26-1.3]
 basepython=python2.6
 deps=
 [testenv:py26-1.4]
 basepython=python2.6
 deps=
-  django==1.4.5
+  django==1.4.8
 
-[testenv:py26-trunk]
+[testenv:py26-1.5]
 basepython=python2.6
 deps=
-  https://github.com/django/django/tarball/master
+  django==1.5.4
 
-[testenv:py27-1.1]
-basepython=python2.7
+[testenv:py26-1.6]
+basepython=python2.6
 deps=
-  django==1.1.4
-
-[testenv:py27-1.2]
-basepython=python2.7
-deps=
-  django==1.2.7
+  https://github.com/django/django/tarball/stable/1.6.x
 
 [testenv:py27-1.3]
 basepython=python2.7
 [testenv:py27-1.4]
 basepython=python2.7
 deps=
-  django==1.4.5
+  django==1.4.8
+
+[testenv:py27-1.5]
+basepython=python2.7
+deps=
+  django==1.5.4
+
+[testenv:py27-1.6]
+basepython=python2.7
+deps=
+  https://github.com/django/django/tarball/stable/1.6.x
 
 [testenv:py27-trunk]
 basepython=python2.7